Sonarqube 7.9.1 to 8.1 Migration

Must-share information (formatted with Markdown):

  • which versions are you using (SonarQube, Scanner, Plugin, and any relevant extension)
  • what are you trying to achieve
  • what have you tried so far to achieve this

Hello to all
I need to update my sonarqube developer edition from version 7.9.1 to version 8.1.
I saw as suggested by the app that to proceed with the migration I have to go for the intermediate LTS versions. I then made the transition from 7.9.1 to 7.9.2 LTS without problems, but if I then try to start version 8.1 it still tells me of the docker logs that:

Database needs to be migrated. Please refer to https://docs.sonarqube.org/latest/setup/upgrading

and the web app shows me to on the browser:

While waiting, you might want to investigate new plugins to extend the current functionality.

I am using mysql as dbms.
Can you help me please?

Welcome to the community forum. Did you triggered the database upgrade on the /setup endpoint ?

Hello @Livio_Patavini

About @pierreguillot’s post

Please just refer to the link https://docs.sonarqube.org/latest/setup/upgrading that’s in the log and pay specific attention to point 6. of the upgrade guide

Also note that we dropped the support of MySQL starting from SonarQube 7.9, so I am very surprised that you could run SonarQube 7.9.1 or 7.9.2 with MySQL in the back-end. Are you sure this is the DB you use ?

oh sorry, we are using a postgresql dbms.

i did all steps in the guide, now i’m at 7.9.2 version (lts) but still the same message traing to run the 8.1 version.

oooo… /setup
the problem is solved, to start the process i need to go to this page and click “migrate” :slight_smile:

just another off topic question.
i saw that the latest java supperted version is 11. There is something in plan to support also java 13 version?

thank you

It’s important to stay on-topic! Please create new threads for new questions.